var displaySignals = false;
var signalsCacheIPS = [];

var signalCircleStyle = new ol.style.Style({
		stroke : new ol.style.Stroke({
			color : 'blue',
			width : 0.1
		}),
		fill : new ol.style.Fill({
			color : 'rgba(0, 0, 255, 0.1)'
		})
	});

var signalCentreStyle = new ol.style.Style({
		stroke : new ol.style.Stroke({
			color : 'black',
			width : 1

		}),
		fill : new ol.style.Fill({
			color : 'black'
		})
	});

function setDisplayIPS(display) {
	displaySignals = display;
	if (!displaySignals) {
		//  map.removeLayer(vectorLayerIPSSignals);
		clearSignalsCache();
	} else {
		// map.addLayer(vectorLayerIPSSignals);
	}
}

function createSignalCircleFeature(id) {
	var signalCircle = new ol.geom.Circle([0, 0], 1);
	var signalCircleFeature =
		new ol.Feature({
			id : 'signalCircleFeature',
			type : 'icon',
			geometry : signalCircle,
			name : 'icon circle'
		});
	signalCircleFeature.setId(id);
	signalCircleFeature.setStyle(signalCircleStyle);
	return signalCircleFeature;
}

function createSignalCentreFeature(id) {
	var signalCentre = new ol.geom.Circle([0, 0], 7);
	var signalCentreFeature =
		new ol.Feature({
			id : 'signalCentreFeature',
			type : 'icon',
			geometry : signalCentre,
			name : 'icon circle'
		});
	signalCentreFeature.setId(id);
	signalCentreFeature.setStyle(signalCentreStyle);
	return signalCentreFeature;
}

function showSignals(beaconData) {
	clearSignalsCache();
	for (var i = 0; i < beaconData.length; i++) {
		var beacon = beaconData[i];
		if (displaySignals) {
			console.log('showSignals displaySignals');
			id = beacon['x'] + "_" + beacon['y'] + "_s";
			var signalCircleFeature = vectorSourceIPSSignals.getFeatureById(id);

			if (!signalCircleFeature) {
				signalCircleFeature = createSignalCircleFeature(id);
				vectorSourceIPSSignals.addFeature(signalCircleFeature);
				signalsCacheIPS.push(signalCircleFeature);
			}
			signalCircleFeature.getGeometry().setCenter([beacon['x'], beacon['y']]);
			signalCircleFeature.getGeometry().setRadius(beacon['r']);
			id = beacon['x'] + "_" + beacon['y'] + "_c";
			var signalCentreFeature = vectorSourceIPSSignals.getFeatureById(id);
			if (!signalCentreFeature) {
				signalCentreFeature = createSignalCentreFeature(id);
				vectorSourceIPSSignals.addFeature(signalCentreFeature);
				signalsCacheIPS.push(signalCentreFeature);
			}
			signalCentreFeature.getGeometry().setCenter([beacon['x'], beacon['y']]);
		}
	}
}

function clearSignalsCache() {
	if (signalsCacheIPS && signalsCacheIPS.length > 0) {
		for (var i = 0; i < signalsCacheIPS.length; i++) {
			vectorSourceIPSSignals.removeFeature(signalsCacheIPS[i]);
		}
		signalsCacheIPS = [];
	}
}
